Get Project Details
GET
/api/v1/projects/{project_id}
const url = 'https://api.totalview.energy/api/v1/projects/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.totalview.energy/api/v1/projects/example \ --header 'Authorization: Bearer <token>'Get full project details including the complete config_snapshot.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” project_id
required
Project Id
string
Responses
Section titled “ Responses ”Successful Response
Media type application/json
ProjectDetailOut
Detailed project output with full latest run.
object
Example generated
{ "project_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "config": {}, "latest_run": {}, "latest_run_status": "example", "latest_run_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Validation Error
Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}